import React, { useState } from 'react';
import { Form, Input, Button, Icon, Select, Tabs, Radio } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import styles from '../style/GoodsList.less';
import XForm, { FieldTypes } from '../../components/XForm';
import Wangedit from '../../components/Wangedit/Wangedit'

/**
 *
 *
 * @param {*} props
 * @returns
 */
 const Edit = (props) => {
  const [ tab, changeTab ] = useState('basic');
  const dynamicId = props.location.query.dynamicId
  console.log(dynamicId)

  const Basic = (props) => {
    const fields = [
      {
        label: '所属项目',
        name: 'org_id',
        type: FieldTypes.Text
      },
      {
        label: '主图',
        name: 'city_id',
        type: FieldTypes.ImageUploader,
      },
      {
        label: '活动标题',
        name: 'share_num',
        type: FieldTypes.Text,
        placeholder: '不填, 默认使用手机号'
      },
      {
        label: '活动时间',
        name: 'save_num',
        type: FieldTypes.Text,
        rules: [
          {required: true, message: '请填写手机号'}
        ]
      },
      {
        label: '活动地点',
        name: 'pv_num',
        type: FieldTypes.ImageUploader,
        extra: '建议图片大小 128 * 128'
      },
      {
        label: '活动人数',
        name: 'favor_num',
        type: FieldTypes.DatePicker,
      },
      {
        label: '活动详情',
        name: 'expDate',
        render: <Wangedit />,
        value: "222222",
      },
      {
        label: '是否需要报名',
        name: 'volume_rate',
        type: FieldTypes.DatePicker,
      },
      {
        label: '报名时间',
        name: 'parking_rate',
        type: FieldTypes.DatePicker,
      },
    ]
  
    const handleSubmit = val => {
      window.console.log('submit data --->', val)
    }
    return <XForm onSubmit={handleSubmit} fields={fields}></XForm>
  }
  
  const Poster = (props) => {
   return <div>Poster</div>
  }
 
  const Share = (props) => {
    return <div>Share</div>
  }

  return (
    <div>
      <div>
        <Radio.Group value={tab} buttonStyle="solid" onChange={e => changeTab(e.target.value)}>
          <Radio.Button value="basic">基本信息</Radio.Button>
          <Radio.Button value="poster">海报图片</Radio.Button>
          <Radio.Button value="share">分享设置</Radio.Button>
        </Radio.Group>
      </div>
      <div>
        { tab === 'basic' && <Basic /> }
        { tab === 'poster' && <Poster /> }
        { tab === 'share' && <Share /> }
      </div>
    </div>
  );
 }



export default Edit
